System Requirements

Browsers

Currently, any of the following browsers is required for CKFinder to run:

  • Google Chrome
  • Firefox
  • Internet Explorer 8+
  • Safari
  • Opera
important note

Some features depend on your browser settings. CKFinder should work in any of the browsers listed above with their default settings enabled. If you are experiencing problems with the Context Menu or your Settings are not being saved, make sure that your browser is configured to "allow scripts to replace context menus" ("allow scripts to receive right clicks") and that you have "cookies support enabled".

Please contact your system administrator if you have any doubts.

Server

CKFinder requirements for PHP:

  • PHP 5.x with safe mode off. The last version of CKFinder with support for PHP 4.x was CKFinder 2.2.1.
  • GD extension enabled (default on most installations) for thumbnails support.

Note: Thumbnails are automatically disabled if GD extension is missing. See http://www.php.net/gd for more information.

This page was last modified on 26 March 2015, at 11:00.